Page MenuHomePhabricator

Set JWT authetication for ContentTranslation in production
Closed, ResolvedPublic

Description

jwt authentication is needed for third party cxserver usage in cxserver configuration. Set it using secret password storage in puppet.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2015, 6:53 AM
santhosh triaged this task as Normal priority.Oct 21 2015, 7:19 AM
santhosh set Security to None.

This also needs configuration in client side (ie PrivateSettings.php).

Change 247819 had a related patch set uploaded (by KartikMistry):
cxserver: Add JWT token support

https://gerrit.wikimedia.org/r/247819

Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Oct 22 2015, 6:17 AM

Change 247819 merged by Alexandros Kosiaris:
cxserver: Add JWT token support

https://gerrit.wikimedia.org/r/247819

KartikMistry edited a custom field.Oct 23 2015, 4:36 AM
KartikMistry closed this task as Resolved.Oct 23 2015, 11:38 AM
KartikMistry moved this task from In Review to QA on the LE-CX7-Sprint 2 board.
Arrbee moved this task from QA to Done on the LE-CX7-Sprint 2 board.Oct 26 2015, 7:18 AM
Krenair reopened this task as Open.Nov 4 2015, 1:03 AM
Krenair added a subscriber: Krenair.

Was not added to PrivateSettings on deployment-bastion.deployment-prep.eqiad.wmflabs.

Change 250906 had a related patch set uploaded (by KartikMistry):
labs: Set JWT token for Beta

https://gerrit.wikimedia.org/r/250906

I've added variable in PrivateSettings and also on labs/private. Thanks for catching this!

Change 250906 merged by Yuvipanda:
labs: Set JWT token for Beta

https://gerrit.wikimedia.org/r/250906

Amire80 renamed this task from Set JWT authetication to Set JWT authetication for ContentTranslation in production and in labs.Nov 4 2015, 9:47 AM
Amire80 added a subscriber: Amire80.Nov 4 2015, 9:54 AM

The production part is done, but not the labs part, so the task is not fully resolved, but because the labs part is not immediately important, I'm moving it to the release backlog.

Amire80 renamed this task from Set JWT authetication for ContentTranslation in production and in labs to Set JWT authetication for ContentTranslation in production.Nov 4 2015, 9:57 AM
Amire80 closed this task as Resolved.
Amire80 added a project: LE-CX7-Sprint 2.
Amire80 edited a custom field.